Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05324 Graphics Major Have not tried Oct 6, 2013, 09:13 21 days ago
Tester georgc3 View Status Public Platform MAME (Official Binary)
Assigned To hap Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver cubeqst.cpp
Version 0.150 Fixed in Version 0.151 Build 64-bit
Summary 05324: cubeqst, mach3, usvsthem and clones: There's a blank screen in certain places in the video
Description There's a blank screen in certain places in the video. Screens like the high scores and the cube no longer shows up. The screen goes blank after the intro then it shows the laser-disc backgrounds . After inserting coin, the selection screen where you select your skill level like beginner or advanced no longer shows up and the cube where you maneuver your ship to choose levels is now a blank screen. After the blank screen, the only thing showing up is the laser disc backgrounds and the ship and enemies you controlling after that everything just goes blank. When you lose all lives, the game over screen is blank and does not show up. After only the laser-disc background intro and credits is showing and that's it.

Everything works fine and perfect in MAME 0.149. But problems occurred on MAME 0.150
Steps To Reproduce
Additional Information
Flags
Regression Version 0.150
Affected Sets / Systems cubeqst, mach3, usvsthem and clones
Attached Files
png file icon Cube Quest blank screens in MAME 0.150.png (820,510 bytes) Oct 6, 2013, 09:13 Uploaded by georgc3
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.09876
Tafoid
Administrator
Oct 8, 2013, 23:49
I did some regression testing and testing all LD games and discovered the following:
-video ddraw works fine for all LD games.
-video d3d is an issue on 3 of the 6 LD games (cubeqst, mach3, usvsthem). It works in parts where the LD and regular gfx are both enabled. When LD is disabled (but regular gfx enabled) you get a black screen.

This has been traced to r25068 where a number of MT bugs were fixed and other fixes were done.

-HLSL behavior is a separate issue, it looks like, and predates this issue related to the changes. In a screen where LD is enabled and gfx are enabled you only see the gfx. When LD is enabled (but regular gfx are disabled) you get a black screen. I'll look for and log a regression if I find it.
User avatar
No.09881
hap
Developer
Oct 12, 2013, 22:30
The cause is drawd3d.c renderer::process_primitives is now drawing quads in the wrong order due to doing the loop twice.
User avatar
No.09934
hap
Developer
Oct 28, 2013, 20:49
fixed, please confirm